from django.urls import path, include
from django.contrib.auth import views as auth_views

from . import views

app_name = 'uhepp_vault'
urlpatterns = [
    path('', views.home, name='home'),
    path('getting-started', views.GettingStartedView.as_view(), name='getting-started'),
    path('account/', views.AccountEditView.as_view(), name='account-detail'),
    path('login/', auth_views.LoginView.as_view()),
    path('logout/', views.logout, name='logout'),
    path('tokens/', views.TokenListView.as_view(), name='token-list'),
    path('tokens/new', views.TokenCreateView.as_view(), name='token-create'),
    path('tokens/<int:pk>', views.TokenDeleteView.as_view(), name='token-delete'),
    path('u/', views.UserListView.as_view(), name='user-list'),
    path('u/<str:username>/', views.UserDetailView.as_view(), name='user-detail'),
    path('c/', views.CollectionListView.as_view(), name='collection-list'),
    path('c/new', views.CollectionCreateView.as_view(), name='collection-create'),
    path('c/<str:pk>/', views.CollectionDetailView.as_view(), name='collection-detail'),
    path('c/<str:pk>/edit', views.CollectionUpdateView.as_view(), name='collection-update'),
    path('c/<str:pk>/delete', views.CollectionDeleteView.as_view(), name='collection-delete'),
    path('p/', views.PlotListView.as_view(), name='plot-list'),
    path('p/<str:uuid>', views.PlotDetail.as_view(), name='plot-detail'),
    path('p/<str:uuid>/download', views.plot_download, name='plot-download'),
]
